#pragma once

#include "CoreMinimal.h"
#include "BaseProjectileLauncher.h"
#include "UObject/NoExportTypes.h"
#include "KillerProjectileLauncher.generated.h"

class AKiller;

UCLASS(Blueprintable, EditInlineNew, meta=(BlueprintSpawnableComponent))
class DEADBYDAYLIGHT_API UKillerProjectileLauncher : public UBaseProjectileLauncher
{
	GENERATED_BODY()

private:
	UFUNCTION(BlueprintCallable, Server, Reliable)
	void Server_UpdateCameraRotation(const FRotator& rotation);

protected:
	UFUNCTION(BlueprintPure)
	AKiller* GetOwningKiller() const;

public:
	UKillerProjectileLauncher();
};

FORCEINLINE uint32 GetTypeHash(const UKillerProjectileLauncher) { return 0; }
